%define module pygame

Name:		python-pygame
Version:	1.9.1
Release:	%mkrel 7
Source:		http://www.pygame.org/ftp/%{module}-%{version}release.tar.gz
Patch0:		pygame-1.9.1-config.patch
Patch1:		pygame-1.9.1-videodev.patch
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPLv2+
Group:		System/Libraries
URL:		http://pygame.org/
BuildRequires:	python-numpy-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	python-numpy
BuildRequires:	SDL_ttf-devel
BuildRequires:	smpeg-devel >= 0.4
BuildRequires:	python-devel
BuildRequires:  png-devel
BuildRequires:	jpeg-devel
BuildRequires:	libv4l-devel
Obsoletes:	pygame < 1.9.1-4
Provides:	pygame

%description
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games written in
the python language.

%package doc
Summary:	Pygame documentation and example programs
Group:		Development/Python
BuildArch:	noarch

%description doc
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install pygame-doc if you need the API documentation and example
programs.

%package devel
Summary:	Pygame development headers
Group:		Development/Python
Obsoletes:	%{mklibname pygame 1.8 -d}

%description devel
pygame is a Python wrapper module for the SDL multimedia library,
written by Pete Shinners. It contains python functions and classes that
will allow you to use SDL's support for playing cdroms, audio and video
output, and keyboard, mouse and joystick input. pygame also includes
support for the Numerical Python extension. pygame is the successor to
the pySDL wrapper project, written by Mark Baker.

Install the devel package if you want to build programs with pygame.

%prep
%setup -q -n %{module}-%{version}release
%patch0 -p1
%patch1 -p0

%build
%__python config.py

# fix linking:
perl -pi -e 's,SDL = (.+),SDL = \1 -lm,' Setup

%__python setup.py build

# Fix wrong permissions on various data files - AdamW 2008/12)
chmod 0644 WHATSNEW \
	lib/*.ttf \
	lib/pygame_icon* \
	lib/pygame.ico

%install
%__python setup.py install --skip-build --prefix %{buildroot}%{_prefix}

%files
%{py_platsitedir}/*
%doc WHATSNEW

%files devel
%{_includedir}/python%{pyver}/%{module}/

%files doc
%doc docs/
%doc examples/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.9.1-7.mga3
+ Revision: 379343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 fwang <fwang> 1.9.1-6.mga2
+ Revision: 202231
- drop req on SDL

* Thu Sep 15 2011 fwang <fwang> 1.9.1-5.mga2
+ Revision: 143782
- update v4l patch
- drop in-exists header

* Sat Feb 05 2011 ahmad <ahmad> 1.9.1-4.mga1
+ Revision: 47078
- imported package python-pygame

